<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~~~~~~licensing~~~~~~
  entaxy-underlying-configuration
  ==========
  Copyright (C) 2020 - 2021 EmDev LLC
  ==========
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
  
       http://www.apache.org/licenses/LICENSE-2.0
  
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
  ~~~~~~/licensing~~~~~~
  -->

<featuresProcessing xmlns="http://karaf.apache.org/xmlns/features-processing/v1.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"  xmlns:features="http://karaf.apache.org/xmlns/features/v1.6.0" 
	xsi:schemaLocation="http://karaf.apache.org/xmlns/features/v1.6.0 http://karaf.apache.org/xmlns/features/v1.6.0
	http://karaf.apache.org/xmlns/features-processing/v1.0.0 http://karaf.apache.org/xmlns/features-processing/v1.0.0">

    <!--

        Licensed to the Apache Software Foundation (ASF) under one or more
        contributor license agreements.  See the NOTICE file distributed with
        this work for additional information regarding copyright ownership.
        The ASF licenses this file to You under the Apache License, Version 2.0
        (the "License"); you may not use this file except in compliance with
        the License.  You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

        Unless required by applicable law or agreed to in writing, software
        distributed under the License is distributed on an "AS IS" BASIS,
        WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
        See the License for the specific language governing permissions and
        limitations under the License.
    -->

    <blacklistedRepositories>
        <repository>mvn:org.apache.karaf.features/framework/4.3.0-SNAPSHOT/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/standard/4.3.0-SNAPSHOT/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/enterprise/4.3.0-SNAPSHOT/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/enterprise-legacy/4.3.0-SNAPSHOT/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/spring/4.3.0-SNAPSHOT/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/spring-legacy/4.3.0-SNAPSHOT/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/framework/4.3.0.RC1/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/standard/4.3.0.RC1/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/enterprise/4.3.0.RC1/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/enterprise-legacy/4.3.0.RC1/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/spring/4.3.0.RC1/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/spring-legacy/4.3.0.RC1/xml/features</repository>
        
        <repository>mvn:org.apache.cxf.karaf/apache-cxf/3.3.4/xml/features</repository>
        <repository>mvn:org.apache.karaf.features/spring-legacy/4.2.9/xml/features</repository>
    </blacklistedRepositories>
	
	<bundleReplacements>
	
	
		<bundle originalUri="mvn:org.apache.felix/org.apache.felix.configadmin/[1.9, 1.9.16]" replacement="mvn:org.apache.felix/org.apache.felix.configadmin/1.9.16-ENTAXY" mode="maven" />
		<bundle originalUri="mvn:org.apache.aries.blueprint/org.apache.aries.blueprint.cm/[1.3, 1.3.2]" replacement="mvn:org.apache.aries.blueprint/org.apache.aries.blueprint.cm/1.3.2-ENTAXY" mode="maven" />
	
		<bundle originalUri="mvn:org.apache.karaf.cellar/org.apache.karaf.cellar.bundle/${cellar.version}" replacement="mvn:org.apache.karaf.cellar/org.apache.karaf.cellar.bundle/${cellar.version}-ENTAXY" mode="maven" />

		<bundle originalUri="mvn:com.fasterxml.jackson.core/jackson-annotations/(0,2.10.5)" replacement="mvn:com.fasterxml.jackson.core/jackson-annotations/2.10.5" mode="maven" />
		<bundle originalUri="mvn:com.fasterxml.jackson.core/jackson-core/(0,2.10.5)" replacement="mvn:com.fasterxml.jackson.core/jackson-core/2.10.5" mode="maven" />
		<bundle originalUri="mvn:com.fasterxml.jackson.core/jackson-databind/(0,2.10.5)" replacement="mvn:com.fasterxml.jackson.core/jackson-databind/2.10.5" mode="maven" />

		<bundle originalUri="mvn:com.fasterxml.jackson.jaxrs/jackson-jaxrs-base/(0,2.10.3)" replacement="mvn:com.fasterxml.jackson.jaxrs/jackson-jaxrs-base/2.10.3" mode="maven" />
		<bundle originalUri="mvn:com.fasterxml.jackson.jaxrs/jackson-jaxrs-json-provider/(0,2.10.3)" replacement="mvn:com.fasterxml.jackson.jaxrs/jackson-jaxrs-json-provider/2.10.3" mode="maven" />

		<bundle originalUri="mvn:commons-codec/commons-codec/(1,1.14)" replacement="mvn:commons-codec/commons-codec/1.14" mode="maven" />

	    <bundle originalUri="mvn:io.netty/netty-common/(4,4.1.51)" replacement="mvn:io.netty/netty-common/4.1.51.Final" mode="maven" />
	    <bundle originalUri="mvn:io.netty/netty-buffer/(4,4.1.51)" replacement="mvn:io.netty/netty-buffer/4.1.51.Final" mode="maven" />
	    <bundle originalUri="mvn:io.netty/netty-resolver/(4,4.1.51)" replacement="mvn:io.netty/netty-resolver/4.1.51.Final" mode="maven" />
	    <bundle originalUri="mvn:io.netty/netty-transport/(4,4.1.51)" replacement="mvn:io.netty/netty-transport/4.1.51.Final" mode="maven" />
	    <bundle originalUri="mvn:io.netty/netty-handler/(4,4.1.51)" replacement="mvn:io.netty/netty-handler/4.1.51.Final" mode="maven" />
	    <bundle originalUri="mvn:io.netty/netty-codec/(4,4.1.51)" replacement="mvn:io.netty/netty-codec/4.1.51.Final" mode="maven" />
	    <bundle originalUri="mvn:io.netty/netty-transport-native-epoll/(4,4.1.51)" replacement="mvn:io.netty/netty-transport-native-epoll/4.1.51.Final" mode="maven" />
	    <bundle originalUri="mvn:io.netty/netty-transport-native-kqueue/(4,4.1.51)" replacement="mvn:io.netty/netty-transport-native-kqueue/4.1.51.Final" mode="maven" />
	    <bundle originalUri="mvn:io.netty/netty-codec-http/(4,4.1.51)" replacement="mvn:io.netty/netty-codec-http/4.1.51.Final" mode="maven" />
	    <bundle originalUri="mvn:io.netty/netty-transport-native-unix-common/(4,4.1.51)" replacement="mvn:io.netty/netty-transport-native-unix-common/4.1.51.Final" mode="maven" />

	    <bundle originalUri="mvn:javax.annotation/javax.annotation-api/(1,1.3.2)" replacement="mvn:javax.annotation/javax.annotation-api/1.3.2" mode="maven" />

		<bundle originalUri="mvn:javax.mail/mail/(1, 1.4.7)" replacement="mvn:javax.mail/mail/1.4.7" mode="maven" />	    
 		
 		<bundle originalUri="mvn:com.h2database/h2/(1.4, 1.5)" replacement="mvn:com.h2database/h2/1.4.199-ENTAXY" mode="maven" />
 		<!-- bundle originalUri="mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.opensaml/(3.2, 3.4)" 
 			replacement="mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.opensaml/3.4.5_2" mode="maven" / -->

		<bundle originalUri="mvn:org.apache.camel/camel-base/${camel.version}" replacement="mvn:org.apache.camel/camel-base/${camel.version}-ENTAXY" mode="maven" />
		<bundle originalUri="mvn:org.apache.camel/camel-core-engine/${camel.version}" replacement="mvn:org.apache.camel/camel-core-engine/${camel.version}-ENTAXY" mode="maven" />
		<bundle originalUri="mvn:org.codehaus.woodstox/woodstox-core-asl/4.4.1"
				replacement="mvn:org.codehaus.woodstox/woodstox-core-asl/4.4.1-ENTAXY" mode="maven" />
		<bundle originalUri="mvn:org.apache.activemq/artemis-server-osgi/2.19.0"
				replacement="mvn:org.apache.activemq/artemis-server-osgi/2.19.0-ENTAXY" mode="maven" />
	</bundleReplacements>

	<featureReplacements>
		<replacement mode="replace">
			<feature name="cave-common" version="${cellar.version}">
				<features:feature prerequisite="true">http</features:feature>
				<features:feature prerequisite="true">scr</features:feature>
				<features:feature version="${cxf.version}">cxf-jaxrs</features:feature>
				<features:bundle dependency="true">mvn:com.fasterxml.jackson.core/jackson-core/2.10.0</features:bundle>
				<features:bundle dependency="true">mvn:com.fasterxml.jackson.core/jackson-annotations/2.10.0</features:bundle>
				<features:bundle dependency="true">mvn:com.fasterxml.jackson.core/jackson-databind/2.10.0</features:bundle>
				<features:bundle dependency="true">mvn:com.fasterxml.jackson.jaxrs/jackson-jaxrs-base/2.10.0</features:bundle>
				<features:bundle dependency="true">mvn:com.fasterxml.jackson.jaxrs/jackson-jaxrs-json-provider/2.10.0</features:bundle>
			</feature>
		</replacement>
	</featureReplacements>

</featuresProcessing>
